Bug 156208 - djvulibre - FC4 rebuild failed
djvulibre - FC4 rebuild failed
Product: Fedora
Classification: Fedora
Component: djvulibre (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
: 164382 (view as bug list)
Depends On:
Blocks: FE4Target
  Show dependency treegraph
Reported: 2005-04-28 09:04 EDT by Michael Schwendt
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-04 14:19:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
spec patch (1.05 KB, patch)
2005-07-28 18:52 EDT, Michael Schwendt
no flags Details | Diff
patch0 required by spec patch (377 bytes, patch)
2005-07-28 18:53 EDT, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Michael Schwendt 2005-04-28 09:04:16 EDT
This package failed to rebuild for FC4 Development around 2005-04-11 after an
automated release bump.

Architectures: i386 ppc

Build failure logs at: http://fedoraproject.org/extras/development/build-logs/
Comment 1 Michael Schwendt 2005-05-08 21:11:47 EDT
Build fails due to SMP make flags. Lazy fix suggestion:

--- djvulibre.spec.~1.8.~       2005-04-07 00:11:36.000000000 +0200
+++ djvulibre.spec      2005-05-09 00:28:21.000000000 +0200
@@ -36,7 +36,7 @@
-%{__make} %{?_smp_mflags}
+%{__make} %{?_smp_mflags} || %{__make}
Comment 2 Michael Schwendt 2005-05-08 21:14:38 EDT
Or better, just drop smp_mflags as to avoid any other race condition...
Comment 3 Matthias Saou 2005-05-09 04:55:38 EDT
From the digging I've done, this is definitely not the (only) issue. Some stuff,
namely the .desktop file, is only installed with older Qt/kdelibs it seems, so
some further spec file changes are required.
I'm already working on it, but feel free to provide a patch to the spec file if
you really want to.
Comment 4 Michael Schwendt 2005-07-27 16:30:35 EDT
*** Bug 164382 has been marked as a duplicate of this bug. ***
Comment 5 Michael Schwendt 2005-07-28 18:52:10 EDT
Created attachment 117250 [details]
spec patch

With these changes, it built for FC4.
Comment 6 Michael Schwendt 2005-07-28 18:53:07 EDT
Created attachment 117251 [details]
patch0 required by spec patch
Comment 7 Matthias Saou 2005-08-04 14:19:00 EDT
Sorry Michael, I hadn't seen those two attachements until now, and worked on
getting djvulibre to build independently. Using 3.5.15 (released not long ago,
and not yet linked on the main web page) fixed the gcc4 issue, and as I wrote,
some further changes were required to get everything straight, since the
configure script does some checking for files and directories to know what
mime/desktop/etc. files should be installed.

New packages of 3.5.15 should be available real soon.

Note You need to log in before you can comment on or make changes to this bug.